<template>
    <div>
        <v-card flat color="indigo darken-1" dark tile
        class="pa-5 text-center">
            <v-container>
                <v-avatar size="120" color="amber darken-2">
                    <img :src="perfil.imagem" v-if="perfil.imagem">
                </v-avatar>
                <h3>{{ perfil.nome }}</h3>
                <p>{{ perfil.desc }}</p>
                <v-child>{{ perfil.idade }}</v-child>
            </v-container>
        </v-card>
        <v-container>
            <v-row>
                <v-col cols="9">
                    <v-text-field 
                        placeholder="Nome"
                        v-model="perfil.nome">
                    </v-text-field>
                </v-col>
                <v-col cols="3">
                    <v-text-field 
                        placeholder="Idade"
                        type="Number"
                        v-model="perfil.idade">
                    </v-text-field>
                </v-col> 
            </v-row>
            <v-textarea 
                autlined
                label="Sobre mim"
                placeholder="Conte um pouco"
                v-model="perfil.desc">
            </v-textarea>
            <v-text-field 
                label="Imagem"
                placeholder="Link"
                v-model="perfil.imagem">
            </v-text-field>
        </v-container>
    </div>
</template>

<script>
export default {
    name: "Perfil",
    data: () =>({
        perfil: {}
    })
}
</script>

<style>

</style>